version: "3"
services:
  web:
    image: nginx:stable
    volumes:
      - ./docker-nginx.conf:/etc/nginx/nginx.conf
      - ${PWD}/:/var/www/html
    ports:
      - 80:80
    networks:
      backend:
    depends_on:
      - php
  php:
    image: chialab/php:8.0-fpm
    volumes:
      - ${PWD}/:/var/www/html
    environment:
      DB_HOST: database
      DB_NAME: boxbilling
      DB_USER: root
      DB_PASS: root
    networks:
      backend:
    depends_on:
      - database
    restart: always
  database:
    image: mariadb
    ports:
      - 6033:3306
    environment:
      MARIADB_ROOT_PASSWORD: root
    networks:
      backend:
    restart: always
networks:
  backend:
